Spigot XenSync 2.0 2.0

XenSync is a plugin addon for XenForo

  1. 2Pif submitted a new resource:

    XenSync 2.0 - XenSync is a plugin addon for XenForo

    Read more about this resource...
     
  2. saphiria

    Artist

    Brilliance!
     
  3. @2Pif I'm having problems with setting it up.
    The configuration that the plugin generates produces yaml errors (without me even touching it).
    After changing it and checking against an yaml parser, it still produces yaml errors while booting. See here: http://pastebin.com/k62bDiXM
     
  4. Ill get on that ASAP
     
    • Like Like x 1
  5. Hey!

    I think it would be cool for there to be a customization message if a player logs on and they haven't registered. That way servers can use this to encourage their players to all sign up for the forums.

    Thanks :)
     
  6. Hi, I get this in spigot 1.9
    expected <block end>, but found BlockEntry
    in 'string', line 22, column 3:
    - "/pex user %player% group set ...
    ^
    at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:56) ~[spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:184) ~[spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.configuration.file.YamlConfiguration.loadConfiguration(YamlConfiguration.java:239) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.plugin.java.JavaPlugin.reloadConfig(JavaPlugin.java:195) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.plugin.java.JavaPlugin.getConfig(JavaPlugin.java:163) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at party.vermontbeast.xensync.XenSync.loadConfig(XenSync.java:166) [XenSync%202.0.1.jar:?]
    at party.vermontbeast.xensync.XenSync.onEnable(XenSync.java:79) [XenSync%202.0.1.jar:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:292) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugin(CraftServer.java:361) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.enablePlugins(CraftServer.java:321) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at net.minecraft.server.v1_9_R1.MinecraftServer.t(MinecraftServer.java:411) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at net.minecraft.server.v1_9_R1.MinecraftServer.l(MinecraftServer.java:376) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at net.minecraft.server.v1_9_R1.MinecraftServer.a(MinecraftServer.java:331) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:269) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:527) [spigot-1.9.jar:git-Spigot-90839e6-8e5eab2]
    at java.lang.Thread.run(Thread.java:745) [?:1.8.0_74]
    Caused by: org.yaml.snakeyaml.parser.ParserException: while parsing a block mapping
    in 'string', line 13, column 3:
    enable: true
     
  7. Any updates on this?
     
  8. No, currently I'm rewriting it for my own server's usage. It sucks that the author abandoned the project, would take a load off of me. :(
     
  9. Yeah, but I just rewrote it...I think I have it now. I'm just trying to fix some small errors and I gotta test it.
     
  10. Could you give it a share to the community (it helped you in the initial so don't why give some back ;) )
     
  11. I will, don't worry. Let me put it through the testing on the server and do a little bit more additions to it. Could you wait...like...a week?
     
  12. So does this work on 1.9/1.10, or is there something similar floating around somewhere?
     
  13. I've been using MineSync, it's been updated.
     
  14. Ah. I was hoping to avoid that. Mostly due to the cost and the reviews. Thank you. :)
     
  15. Well the reviews are all about the old 1.0 version, but the owner has been very good at communicating with us about 2.0 beta. However, I did get a successful syncing with my XenForo till this beta version.

    So, here's what I'll do...I'll update it and...I don't know. I want to release for free, but it's just. I'm going out of my way to rewrite it. Ugh. I don't know. I haven't decided yet. Maybe $2. I don't know.
     
  16. Is it a big difference between the vers it was made for and 1.9/1.10, or just annoying stuff?
     
  17. 1.9 released that huge combat update; but usually no. It's just it didn't really run well or it threw an incompatibility error. I never used 1.x version anyway. I just started using 2.x version.
     
    • Like Like x 1